<div class="article-slider-container" data-article-slider>
	<div class="article-slider">
		<div class="article-slider__container" data-article-slider-container>
			<article style="background-image: url(http://www.sportsdirect.com/images/marketing/nikelanding-tainers.jpg)" data-article-slider-slide class="article-slider__slide"></article>
			<article style="background-image: url(http://www.sportsdirect.com/images/marketing/nikelanding-tainers.jpg)" data-article-slider-slide class="article-slider__slide"></article>
			<article style="background-image: url(http://www.sportsdirect.com/images/marketing/nikelanding-tainers.jpg)" data-article-slider-slide class="article-slider__slide"></article>
			<article style="background-image: url(http://www.sportsdirect.com/images/marketing/nikelanding-tainers.jpg)" data-article-slider-slide class="article-slider__slide"></article>
		</div>

		<ul class="article-slider__figcaptions">
			<li data-article-slider-figcaption class="active article-slider__figcaption">Искандер на финиширует свой последний марафон в Дубае</li>
			<li data-article-slider-figcaption class="article-slider__figcaption">Искандер на финиширует свой последний</li>
			<li data-article-slider-figcaption class="article-slider__figcaption">Искандер на финиширует свой последний марафон Дубае</li>
			<li data-article-slider-figcaption class="article-slider__figcaption">Искандер последний марафон Дубае</li>
		</ul>

		<strong data-article-slider-count class="article-slider__slide-count">1/4</strong>

	</div>

	<button type="button" data-article-slider-prev class="article-slider__prev">
		<svg viewBox="0 0 14.44 9.88"><path d="M13.74 5.65L9.5 9.89l-.71-.71 3.75-3.74H0v-1h12.54L8.79.7l.71-.71 4.24 4.24.71.71zM13 4.9v.08l.04-.04z"/></svg>
	</button>

	<button type="button" data-article-slider-next class="article-slider__next">
		<svg viewBox="0 0 14.44 9.88"><path d="M13.74 5.65L9.5 9.89l-.71-.71 3.75-3.74H0v-1h12.54L8.79.7l.71-.71 4.24 4.24.71.71zM13 4.9v.08l.04-.04z"/></svg>
	</button>
</div>

<script type="text/javascript">
	(function() {
		var __slice = Array.prototype.slice;

		function querySelectorAll(val, el) {
			return el ? __slice.call(el.querySelectorAll(val)) : __slice.call(document.querySelectorAll(val));
		}

		function getSupportedCSSProperty(arr) {
			var doc = document.documentElement;
			var len = arr.length;

			for (var i = 0; i < len; i++) {
				if (arr[i] in doc.style) {
					return arr[i];
				}
			}
		}

		var $sliders = querySelectorAll('[data-article-slider]');

		$sliders.forEach(function($slider) {
			var activeIndex = 0;
			var transform = getSupportedCSSProperty(['transform', 'MozTransform', 'WebkitTransform', 'msTransform', 'OTransform']);
			var $container = $slider.querySelector('[data-article-slider-container]');
			var $slides = querySelectorAll('[data-article-slider-slide]', $slider);
			var $figcaptions = querySelectorAll('[data-article-slider-figcaption]', $slider);
			var $next = $slider.querySelector('[data-article-slider-next]');
			var $prev = $slider.querySelector('[data-article-slider-prev]');
			var $count = $slider.querySelector('[data-article-slider-count]');
			var length = $slides.length;

			function handleChange() {
				$container.setAttribute('style', transform + ': translateX(' + activeIndex * -100 + '%);');

				$figcaptions.forEach(function($figcaption, i) {
					if (i === activeIndex) {
						$figcaption.classList.add('active');
					} else {
						$figcaption.classList.remove('active');
					}
				});

				$count.innerHTML = activeIndex + 1 + '\\' + $slides.length;
			}

			$next.addEventListener('click', function() {
				activeIndex = activeIndex + 1 > $slides.length - 1 ? 0 : activeIndex + 1;
				handleChange();
			}, false);

			$prev.addEventListener('click', function() {
				activeIndex = activeIndex - 1 < 0 ? $slides.length - 1 : activeIndex - 1;
				handleChange();
			}, false);

			/**
			 * Touches
			 */
			var clientXDown, clientYDown;
			var followed = 0;

			function handleMoveStart(x, y) {
				clientXDown = x;
				clientYDown = y;
				$container.setAttribute('data-grabbing', true);
			}

			function handleMove(clientX, clientY, e) {
				if (clientYDown && clientXDown) {
					var xDiff = clientXDown - clientX;
					var yDiff = clientYDown - clientY;

					if (xDiff && yDiff) {
						e.preventDefault();
						e.stopPropagation();
						followed = (xDiff / $container.offsetWidth) * 100;
						$container.setAttribute('style', transform + ': translateX(' + ((activeIndex * -100) + (followed * -1)) + '%);');
					}
				}
			}

			function handleMoveEnd(e) {
				if (followed !== 0) {
					e.preventDefault();
					e.stopPropagation();
				}

				if (followed < -35) {
					activeIndex = Math.max(0, activeIndex + Math.floor(followed / 100));
				} else if (followed > 35) {
					activeIndex = Math.min(length - 1, activeIndex + Math.ceil(followed / 100));
				}

				$container.setAttribute('data-grabbing', false);
				handleChange();
				clientXDown = 0;
				clientYDown = 0;
				followed = 0;
			}

			function handleTouchStart(e) {
				handleMoveStart(e.touches[0].clientX, e.touches[0].clientY, e);
			}

			function handleTouchMove(e) {
				handleMove(e.touches[0].clientX, e.touches[0].clientY, e);
			}

			function handleMouseDown(e) {
				handleMoveStart(e.clientX, e.clientY, e);
			}

			function handleMouseMove(e) {
				handleMove(e.clientX, e.clientY, e);
			}

			function handleDragStart(e) {
				e.preventDefault();
				e.stopPropagation();
			}

			$container.addEventListener('mousedown', handleMouseDown, false);
			$container.addEventListener('touchstart', handleTouchStart, false);
			$container.addEventListener('touchend', handleMoveEnd, false);
			$container.addEventListener('dragstart', handleDragStart, false);
			window.addEventListener('touchmove', handleTouchMove, false);
			window.addEventListener('mousemove', handleMouseMove, false);
			window.addEventListener('mouseup', handleMoveEnd, false);
			window.addEventListener('click', handleMoveEnd, false);
			handleChange();
		});
	})()
</script>
